Skip to main content
GET
/
bundles
Listing bundles
curl --request GET \
  --url https://api.peeker.ai/partner/v1/bundles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "bun_01HZX0BU1A2B3C4D5E6F7G8H",
      "name": "Starter — 25k emails/month",
      "monthly_sending_volume": 25000,
      "google_percent": null,
      "microsoft_percent": null,
      "send_on_weekends": false,
      "google_inboxes_per_domain": 2,
      "status": "active",
      "effective": {
        "google_percent": 50,
        "microsoft_percent": 50
      },
      "required_domains": {
        "google": 15,
        "microsoft": 4,
        "total": 19
      },
      "created_at": "2026-05-08T12:00:00Z"
    },
    {
      "id": "bun_01HZX0BU2A2B3C4D5E6F7G8H",
      "name": "Pro — 100k emails/month",
      "monthly_sending_volume": 100000,
      "google_percent": 70,
      "microsoft_percent": 30,
      "send_on_weekends": false,
      "google_inboxes_per_domain": 2,
      "status": "active",
      "effective": {
        "google_percent": 70,
        "microsoft_percent": 30
      },
      "required_domains": {
        "google": 80,
        "microsoft": 10,
        "total": 90
      },
      "created_at": "2026-04-01T10:00:00Z"
    }
  ],
  "links": {
    "first": "https://api.peeker.ai/partner/v1/bundles?per_page=25",
    "next": null
  },
  "meta": {
    "path": "https://api.peeker.ai/partner/v1/bundles",
    "per_page": 25,
    "returned": 2
  }
}

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Query Parameters

status
enum<string>

Filter to one bundle status.

Available options:
active,
archived
per_page
integer
default:25

Page size; default 25, max 100.

Required range: 1 <= x <= 100
page_token
string

Opaque token returned in links.next. Do not parse or build by hand.

Response

200 - application/json

A page of bundles.

data
object[]
required
meta
object
Last modified on June 29, 2026